Merging to stable branches of fuel-web is blocked by failing pep8 checks on openstack-infra CI

Bug #1511787 reported by Igor Belikov on 2015-10-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Igor Belikov
5.0.x
Critical
MOS Maintenance
5.1.x
Critical
MOS Maintenance
6.0.x
Critical
MOS Maintenance
6.1.x
Critical
MOS Maintenance
7.0.x
Critical
Igor Belikov

Bug Description

After the merge of https://review.openstack.org/#/c/240440 voting pep8 checks are enabled for stable branches of fuel-web. These checks are currently failing, which leaves stable branches of fuel-web in a blocked state.

Changed in fuel:
status: New → Confirmed
Igor Belikov (ibelikov) wrote :
Changed in fuel:
status: Confirmed → In Progress
Dmitry Pyzhov (dpyzhov) on 2015-11-02
tags: added: regression-8.0
tags: added: tech-debt

Reviewed: https://review.openstack.org/240886
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=435b4bb2ef920356d996d8b05bc6f4de6a6b2259
Submitter: Jenkins
Branch: stable/5.0

commit 435b4bb2ef920356d996d8b05bc6f4de6a6b2259
Author: Igor Belikov <email address hidden>
Date: Mon Nov 2 17:43:25 2015 +0300

    Add tox.ini with pep8 tests to fix CI

    * Add tox.ini with pep8 tests so 'gate-fuel-web-pep8' is able to
      actually run
    * Ignore all existing pep8 errors and warnings to unblock merging in
      stable/5.0, but prevent any more pep8 errors and warnings
    * Add .tox to .gitignore

    Change-Id: Iad59da7f8e5af901e7c9fa830f3a6ebe81d021b3
    Related-Bug: #1511787

Reviewed: https://review.openstack.org/240864
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=25946c3323b7842c44f4173de80c0a8d83900302
Submitter: Jenkins
Branch: stable/7.0

commit 25946c3323b7842c44f4173de80c0a8d83900302
Author: Igor Belikov <email address hidden>
Date: Mon Nov 2 16:45:17 2015 +0300

    Add tox.ini with pep8 tests to fix CI

    * Add tox.ini with pep8 tests so 'gate-fuel-web-pep8' is able to
      actually run
    * Fix existing pep8 warnings

    Change-Id: Iad59da7f8e5af901e7c9fa830f3a6ebe81d021b3
    Related-Bug: #1511787

Dmitry Pyzhov (dpyzhov) on 2015-11-05
tags: added: area-python
Alexey Shtokolov (ashtokolov) wrote :

Assigned to MOS-Maintenance, because patches for 6.1 6.0 5.1 are blocked by bug https://bugs.launchpad.net/fuel/+bug/1512448 :
https://review.openstack.org/240871
https://review.openstack.org/240873
https://review.openstack.org/240878

Only Maintenance Team can fix and merge to stable branches.

Changed in fuel:
assignee: Alexey Shtokolov (ashtokolov) → MOS Maintenance (mos-maintenance)
Dmitry Pyzhov (dpyzhov) on 2015-11-18
Changed in fuel:
assignee: MOS Maintenance (mos-maintenance) → Igor Belikov (ibelikov)
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/240871
Committed: https://git.openstack.org/cgit/openstack/fuel-web/commit/?id=521237cf7a922e533c3895035a97071d1051f304
Submitter: Jenkins
Branch: stable/6.1

commit 521237cf7a922e533c3895035a97071d1051f304
Author: Igor Belikov <email address hidden>
Date: Mon Nov 2 17:12:48 2015 +0300

    Add tox.ini with pep8 tests to fix CI

    * Add tox.ini with pep8 tests so 'gate-fuel-web-pep8' is able to
      actually run
    * Ignore all existing pep8 errors and warnings to unblock merging in
      stable/6.1, but prevent any more pep8 errors and warnings

    Change-Id: Iad59da7f8e5af901e7c9fa830f3a6ebe81d021b3
    Related-Bug: #1511787

Denis Meltsaykin (dmeltsaykin) wrote :

Setting as Won't Fix for 6.0 and 5.1 updates as these branches have no delivery channel for fixes.

Changed in fuel:
status: Fix Committed → Fix Released

Change abandoned by Fuel DevOps Robot (<email address hidden>) on branch: stable/4.1
Review: https://review.openstack.org/262541
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Change abandoned by Tony Breeds (<email address hidden>) on branch: stable/5.1
Review: https://review.openstack.org/240878
Reason: This branch (stable/5.1) is at End Of Life

Change abandoned by Tony Breeds (<email address hidden>) on branch: stable/6.0
Review: https://review.openstack.org/240873
Reason: This branch (stable/6.0) is at End Of Life

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers